Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkSettingElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<C>
              org.semanticweb.owlapi.owllink.parser.OWLlinkConfigurationElementHandler<Setting>
                  org.semanticweb.owlapi.owllink.parser.OWLlinkSettingElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<Setting>

    public class OWLlinkSettingElementHandler

extends OWLlinkConfigurationElementHandler<Setting>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 22.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.parser.OWLlinkConfigurationElementHandler
`key, type, values`

Constructor Summary
`OWLlinkSettingElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `endElement()`
`Setting` | `getOWLLinkObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.OWLlinkConfigurationElementHandler
`attribute, handleChild, handleChild, startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLlinkSettingElementHandler

    public OWLlinkSettingElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLLinkObject

    public Setting getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<Setting>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<Setting>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Overrides:
    `endElement` in class `OWLlinkConfigurationElementHandler<Setting>`
  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD